edu.isi.pegasus.planner.catalog.site.classes

## Class Connection

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteData
  - - edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData
    - - edu.isi.pegasus.planner.catalog.site.classes.Connection

All Implemented Interfaces:
  java.lang.Cloneable

    public class Connection
    extends AbstractSiteData

This data class describes a connection property for replica catalog.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`private java.lang.String` `mKey` The connection key.
`private java.lang.String` `mValue` The value of the connection key.

### Constructor Summary

Constructors
Constructor and Description
`Connection()` The default constructor.
`Connection(java.lang.String key, java.lang.String value)` The overloaded constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(SiteDataVisitor visitor)` Accept method for the SiteData classes that accepts a visitor
`java.lang.Object` `clone()` Returns the clone of the object.
`java.lang.String` `getKey()` Returns the connection key.
`java.lang.String` `getValue()` Returns the key value.
`void` `initialize(java.lang.String key, java.lang.String value)` Initializes the object.
`void` `setKey(java.lang.String key)` Returns the connection key.
`void` `setValue(java.lang.String value)` Returns the key value.
`void` `toXML(java.io.Writer writer, java.lang.String indent)` Writes out the xml description of the object.

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData

`toString, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mKey

    private java.lang.String mKey

The connection key.

#### mValue

    private java.lang.String mValue

The value of the connection key.

### Constructor Detail

#### Connection

    public Connection()

The default constructor.

#### Connection

    public Connection(java.lang.String key,
                      java.lang.String value)

The overloaded constructor.

Parameters:
  `key` - the key
  `value` - the key value

### Method Detail

#### initialize

    public void initialize(java.lang.String key,
                           java.lang.String value)

Initializes the object.

Parameters:
  `key` - the key
  `value` - the key value

#### getKey

    public java.lang.String getKey()

Returns the connection key.

Returns:
  key

#### getValue

    public java.lang.String getValue()

Returns the key value.

Returns:
  value.

#### setKey

    public void setKey(java.lang.String key)

Returns the connection key.

Parameters:
  `key` - the key

#### setValue

    public void setValue(java.lang.String value)

Returns the key value.

Parameters:
  `value` - the value.

#### toXML

    public void toXML(java.io.Writer writer,
                      java.lang.String indent)
               throws java.io.IOException

Writes out the xml description of the object.

Specified by:
  `toXML` in class `AbstractSiteData`
Parameters:
  `writer` - is a Writer opened and ready for writing. This can also be a StringWriter for efficient output.
  `indent` - the indent to be used.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### clone

    public java.lang.Object clone()

Returns the clone of the object.

Overrides:
  `clone` in class `AbstractSiteData`
Returns:
  the clone

#### accept

    public void accept(SiteDataVisitor visitor)

Description copied from class: `AbstractSiteData`
Accept method for the SiteData classes that accepts a visitor

Specified by:
  `accept` in class `AbstractSiteData`
Parameters:
  `visitor` - the visitor to be used